Code example for AssertionFailedError

Methods: getMessage

0
  protected void runTest() throws Throwable { 
    try { 
      super.runTest(); 
    } catch (AssertionFailedError e) {
      log.error("");
      log.error("ASSERTION FAILURE: "+e.getMessage());
      log.error("");
      throw e;
    } catch (Throwable t) {
      log.error("");
      log.error("EXCEPTION: "+t.getMessage());
      log.error("");
      t.printStackTrace();
      throw t;
    } 
  } 
}